Pc Business Challenges 10K
curl --request POST \
--url https://api.explorium.ai/v1/businesses/pc_business_challenges_10k/bulk_enrich \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"business_ids": [
"<string>"
],
"request_context": null,
"parameters": {}
}
'import requests
url = "https://api.explorium.ai/v1/businesses/pc_business_challenges_10k/bulk_enrich"
payload = {
"business_ids": ["<string>"],
"request_context": None,
"parameters": {}
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({business_ids: ['<string>'], request_context: null, parameters: {}})
};
fetch('https://api.explorium.ai/v1/businesses/pc_business_challenges_10k/bulk_enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response_context": {
"correlation_id": "<string>",
"time_took_in_seconds": 123
},
"total_results": 123,
"data": [
{
"business_id": "<string>",
"data": {
"technological_disruption": [
"<string>"
],
"link_to_html": "<string>",
"link_to_filing_details": "<string>",
"form_type": "<string>",
"accession_number": "<string>",
"company_data_security_breach": [
"<string>"
],
"company_market_saturation": [
"<string>"
],
"form_description": "<string>",
"company_name": "<string>",
"cik": "<string>",
"filed_at": "2023-11-07T05:31:56Z",
"company_data_security_privacy": [
"<string>"
],
"company_competition": [
"<string>"
],
"company_customer_adoption": [
"<string>"
],
"ticker": "<string>"
}
}
],
"entity_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Bulk Businesses Enrichments
Business challenges of public companies (Bulk)
POST
/
v1
/
businesses
/
pc_business_challenges_10k
/
bulk_enrich
Pc Business Challenges 10K
How It Works
How It Works
- Input: Provide a list of up to
50business_ids. - Processing: The system retrieves business challenge data for all submitted businesses in a single request.
- Output: A structured response with corporate risks and operational challenges.
Example Request (cURL)
Example Request (cURL)
Bash
accept: application/json' \
--header 'api_key: your_api_key_here' \
--header 'content-type: application/json' \
--data '{
"business_ids": [
"8adce3ca1cef0c986b22310e369a0793",
"a34bacf839b923770b2c360eefa26748"
]
}'
Best Practices
Best Practices
- Monitor regulatory and operational risks for public companies.
- Assess business challenges to understand corporate weaknesses.
- Use challenge data to evaluate investment risks.
Body Params - Try Me Example
business_ids: ["8adce3ca1cef0c986b22310e369a0793",
"a34bacf839b923770b2c360eefa26748"]
Authorizations
APIKeyHeaderAPIKeyHeader
Body
application/json
Response
Successful Response
This is base response model for all responses in partner service.
Was this page helpful?
Funding and acquisitions for public and private companies (Bulk)Competitive landscape of public companies (Bulk)
⌘I